use axum::{response::IntoResponse, Json};

use crate::types::user_id::UserId;

#[derive(Debug, serde::Serialize)]
#[serde(untagged)]
pub enum AuthenticationResponse {
    Success(AuthenticationSuccess),
}

#[derive(Debug, serde::Serialize)]
pub struct AuthenticationSuccess {
    access_token: String,
    device_id: String,
    user_id: String,
}

impl AuthenticationSuccess {
    pub fn new(access_token: &str, device_id: &str, user_id: &UserId) -> Self {
        Self {
            access_token: access_token.to_owned(),
            device_id: device_id.to_owned(),
            user_id: user_id.to_string(),
        }
    }
}
