use crate::types::flow::Flow;

#[derive(Debug, serde::Serialize)]
pub struct UserInteractiveAuthorizationInfo {
    flows: Vec<FlowStage>,
    completed: Vec<Flow>,
    session: Option<String>,
    auth_error: Option<String>,
}

impl UserInteractiveAuthorizationInfo {
    pub fn new() -> Self {
        Self {
            flows: vec![FlowStage {
                stages: vec![Flow::Password],
            }],
            completed: vec![],
            session: None,
            auth_error: None,
        }
    }
}

#[derive(Debug, serde::Serialize)]
struct FlowStage {
    stages: Vec<Flow>,
}
